# wxLogWindow Class Reference
[Logging]

`#include <wx/log.h>`

Inheritance diagram for wxLogWindow:
[legend]

## Detailed Description

This class represents a background log window: to be precise, it collects all log messages in the log frame which it manages but also passes them on to the log target which was active at the moment of its creation.

This allows you, for example, to show all the log messages in a frame but still continue to process them normally by showing the standard log dialog.

##

Library: wxBase

Category: Logging

See also:
  wxLogTextCtrl

## Public Member Functions
| wxLogWindow (wxWindow *pParent, const wxString &szTitle, bool show=true, bool passToOld=true)
| Creates the log frame window and starts collecting the messages in it.
wxFrame * | GetFrame () const
| Returns the associated log frame window.
virtual bool | OnFrameClose (wxFrame *frame)
| Called if the user closes the window interactively, will not be called if it is destroyed for another reason (such as when program exits).
virtual void | OnFrameCreate (wxFrame *frame)
| Called immediately after the log frame creation allowing for any extra initializations.
virtual void | OnFrameDelete (wxFrame *frame)
| Called right before the log frame is going to be deleted: will always be called unlike OnFrameClose().
void | Show (bool show=true)
| Shows or hides the frame.

List of all members.

## Constructor & Destructor Documentation

wxLogWindow::wxLogWindow | ( | wxWindow * | pParent,
|  | const wxString & | szTitle,
|  | bool | show = `true`,
|  | bool | passToOld = `true` |
| ) |  |  |

Creates the log frame window and starts collecting the messages in it.

Parameters:

  | pParent | The parent window for the log frame, may be NULL
  | szTitle | The title for the log frame
  | show | true to show the frame initially (default), otherwise Show() must be called later.
  | passToOld | true to process the log messages normally in addition to logging them in the log frame (default), false to only log them in the log frame. Note that if no targets were set using wxLog::SetActiveTarget() then wxLogWindow simply becomes the active one and messages won't be passed to other targets.

## Member Function Documentation

wxFrame* wxLogWindow::GetFrame | ( |  | ) | const

Returns the associated log frame window.

This may be used to position or resize it but use Show() to show or hide it.

virtual bool wxLogWindow::OnFrameClose | ( | wxFrame * | frame | ) | `[virtual]`

Called if the user closes the window interactively, will not be called if it is destroyed for another reason (such as when program exits).

Return true from here to allow the frame to close, false to prevent this from happening.

See also:
  OnFrameDelete()

virtual void wxLogWindow::OnFrameCreate | ( | wxFrame * | frame | ) | `[virtual]`

Called immediately after the log frame creation allowing for any extra initializations.

virtual void wxLogWindow::OnFrameDelete | ( | wxFrame * | frame | ) | `[virtual]`

Called right before the log frame is going to be deleted: will always be called unlike OnFrameClose().

void wxLogWindow::Show | ( | bool | show = `true` | ) |

Shows or hides the frame.

|  | [ top ]